diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 3647dfbd..5db18cf3 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -1265,7 +1265,12 @@ define([
               newRow = self.grid.body.rows[idx].$el;
 
             newRow.addClass('new');
-            $(newRow).pgMakeBackgridVisible('.backform-tab');
+            try {
+              $(newRow).pgMakeBackgridVisible('.backform-tab');
+            } catch(err) {
+              // We can have subnode controls in Panels
+              $(newRow).pgMakeBackgridVisible('.set-group');
+            }
 
             return false;
           }
@@ -1516,7 +1521,12 @@ define([
           newRow.attr('class', 'new').on('click',() => {
             $(this).attr('class', 'editable');
           });
-          $(newRow).pgMakeBackgridVisible('.backform-tab');
+          try {
+            $(newRow).pgMakeBackgridVisible('.backform-tab');
+          } catch(err) {
+            // We can have subnode controls in Panels
+            $(newRow).pgMakeBackgridVisible('.set-group');
+          }
           return false;
         }
       });
